=== debian/control ===
Source: ros-lunar-ml-classifiers
Section: misc
Priority: extra
Maintainer: AutonomouStuff Software Development Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-lunar-catkin, ros-lunar-message-generation, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-roslint, ros-lunar-std-msgs
Homepage: http://wiki.ros.org/ml_classifiers
Standards-Version: 3.9.2

Package: ros-lunar-ml-classifiers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-lunar-message-runtime, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-std-msgs
Description: ml_classifiers
